org.jgrapht

## Interface ListenableGraph<V,E>

- All Superinterfaces:
    Graph<V,E>
  All Known Implementing Classes:
    DefaultListenableGraph, ListenableDirectedGraph, ListenableDirectedWeightedGraph, ListenableUndirectedGraph, ListenableUndirectedWeightedGraph

      public interface ListenableGraph<V,E>
      extends Graph<V,E>

  A graph that supports listeners on structural change events.
  Since:
    Jul 20, 2003
  Author:
    Barak Naveh
  See Also:
    `GraphListener`, `VertexSetListener`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addGraphListener(GraphListener<V,E> l)` Adds the specified graph listener to this graph, if not already present.
    `void` | `addVertexSetListener(VertexSetListener<V> l)` Adds the specified vertex set listener to this graph, if not already present.
    `void` | `removeGraphListener(GraphListener<V,E> l)` Removes the specified graph listener from this graph, if present.
    `void` | `removeVertexSetListener(VertexSetListener<V> l)` Removes the specified vertex set listener from this graph, if present.

    - ### Methods inherited from interface org.jgrapht.Graph

      `addEdge, addEdge, addVertex, containsEdge, containsEdge, containsVertex, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex, vertexSet`

- - ### Method Detail

    - #### addGraphListener

          void addGraphListener(GraphListener<V,E> l)

      Adds the specified graph listener to this graph, if not already present.
      Parameters:
        `l` - the listener to be added.

    - #### addVertexSetListener

          void addVertexSetListener(VertexSetListener<V> l)

      Adds the specified vertex set listener to this graph, if not already present.
      Parameters:
        `l` - the listener to be added.

    - #### removeGraphListener

          void removeGraphListener(GraphListener<V,E> l)

      Removes the specified graph listener from this graph, if present.
      Parameters:
        `l` - the listener to be removed.

    - #### removeVertexSetListener

          void removeVertexSetListener(VertexSetListener<V> l)

      Removes the specified vertex set listener from this graph, if present.
      Parameters:
        `l` - the listener to be removed.

Copyright © 2016. All rights reserved.